UA Campaign status
Provides the invitation status and the campaign achievement status for the inviter (the user who created the friend invitation link).
Request URL
| Live URL | https://promotion.qpyou.cn/ua/process |
| Sandbox URL | https://sandbox-promotion.qpyou.cn/ua/process |
| HTTP Method | POST |
| Content-Type | application/json |
| Field Name | Description | Type | Required |
| Authorization | The authentication token (Bearer Authorization) needed to make an API request. Go to the Hive Console AppCenter > Game Management > Game List: Select your company’s game > Game Details > Basic Info and use Certification Key as the token. | string | N |
Request body
| Field Name | Description | Type | Required |
| gameindex | Go to the Hive Console AppCenter > Game Management > Game List: Select your company’s game > Game Details > Basic Info > Game Index | Integer | Y |
| vid | This is the VID of the inviter. It is the same as the PlayerID by default. | Integer | Y |
Responses
| Field Name | Description | Type | Required |
| result_code | response code - 200: verification success
- others: Failure
| Integer | Y |
| result_message | response message | String | Y |
| eachCampaignList | the list of campaigns that reward a user each time they complete a campaign. | Array | N |
| ㄴ campaign_id | the campaign id | String | N |
| ㄴ order | the order of the campaigns | Int | N |
| ㄴ count | the number of completed campaigns | Int | N |
| ㄴ limit | the maximum number of completion of the campaigns | Int | N |
| stageCampaignList | the list of campaigns that reward the inviter when the number of the invitees that completed all the campaign objectives reaches the target number. | Array | N |
| ㄴ campaign_id | the campaign id | String | N |
| ㄴ order | the order of the campaigns | Int | N |
| ㄴ count | the number of the rewards that the inviter received. | Int | N |
| ㄴ limit | the maximum number of rewards (the maximum value for `count`) | Int | N |
| ㄴ goalCount | the number of the invitees that completed all objectives of a campaign. | Int | N |
| ㄴ goalTotal | the `goalCount` required to receive reward (the reward is given when `goalCount` reaches `goalTotal`) | Int | N |
Request sample
curl -L -v
-d '{"vid": 40088555, "gameindex": 539}' \
-H "Content-Type: application/json" \
https://sandbox-promotion.qpyou.cn/ua/process
Response sample
{
"result_code": 200,
"result_message": "success",
"eachCampaignList": [
{
"campaign_id": "73",
"order": 1,
"count": 1,
"limit": 10
}, {
"campaign_id": "163",
"order": 2,
"count": 0,
"limit": 100
}
],
"stageCampaignList": [
{
"campaign_id": "202",
"order": 3,
"count": 1,
"limit": 10,
"goalCount": 0,
"goalTotal": 5
}
]
}